DELETE /v1/organizations/{orgId}/wallets/{walletId}
Archive a wallet (soft delete). Cannot archive default wallet or only wallet.
DELETE
/v1/organizations/{orgId}/wallets/{walletId}
Archive a wallet (soft delete). Cannot archive default wallet or only wallet.
Path Parameters
orgId
string
required
path
Organization ID
walletId
string
required
path
Wallet ID
Responses
200
OK
application/jsonarchivedWorkflowIds
string[]
Array of:
message
string
400
Bad Request
401
Unauthorized
404
Not Found
500
Internal Server Error
curl -X DELETE 'https://api.example.com/v1/organizations/string/wallets/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/string/wallets/string', { method: 'DELETE', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.delete('https://api.example.com/v1/organizations/string/wallets/string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("DELETE", "https://api.example.com/v1/organizations/string/wallets/string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "archivedWorkflowIds": [ "<string>" ], "message": "<string>"}
API Playground
Try this endpoint
DELETE
/v1/organizations/{orgId}/wallets/{walletId}
